diff -upr ioquake3svn1438/code/cgame/cg_main.c ioquake3serverFix/code/cgame/cg_main.c
--- ioquake3svn1438/code/cgame/cg_main.c	2008-08-03 12:48:06.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_main.c	2008-08-09 11:28:23.000000000 -0500
@@ -144,7 +144,6 @@ vmCvar_t	cg_thirdPersonRange;
 vmCvar_t	cg_thirdPersonAngle;
 vmCvar_t	cg_lagometer;
 vmCvar_t	cg_drawAttacker;
-vmCvar_t	cg_drawSpeed;
 vmCvar_t	cg_synchronousClients;
 vmCvar_t 	cg_teamChatTime;
 vmCvar_t 	cg_teamChatHeight;
@@ -163,10 +162,7 @@ vmCvar_t	cg_noVoiceChats;
 vmCvar_t	cg_noVoiceText;
 vmCvar_t	cg_hudFiles;
 vmCvar_t 	cg_scorePlum;
-//unlagged - smooth clients #2
-// this is done server-side now
-//vmCvar_t 	cg_smoothClients;
-//unlagged - smooth clients #2
+vmCvar_t 	cg_smoothClients;
 vmCvar_t	pmove_fixed;
 //vmCvar_t	cg_pmove_fixed;
 vmCvar_t	pmove_msec;
@@ -185,8 +181,6 @@ vmCvar_t	cg_oldRail;
 vmCvar_t	cg_oldRocket;
 vmCvar_t	cg_oldPlasma;
 vmCvar_t	cg_trueLightning;
-vmCvar_t        cg_music;
-
 
 #ifdef MISSIONPACK
 vmCvar_t 	cg_redTeamName;
@@ -199,25 +193,8 @@ vmCvar_t	cg_enableBreath;
 vmCvar_t	cg_singlePlayerActive;
 vmCvar_t	cg_recordSPDemo;
 vmCvar_t	cg_recordSPDemoName;
-#endif
 vmCvar_t	cg_obeliskRespawnDelay;
-
-//unlagged - client options
-vmCvar_t	cg_delag;
-//vmCvar_t	cg_debugDelag;
-//vmCvar_t	cg_drawBBox;
-vmCvar_t	cg_cmdTimeNudge;
-vmCvar_t	sv_fps;
-vmCvar_t	cg_projectileNudge;
-vmCvar_t	cg_optimizePrediction;
-vmCvar_t	cl_timeNudge;
-//vmCvar_t	cg_latentSnaps;
-//vmCvar_t	cg_latentCmds;
-//vmCvar_t	cg_plOut;
-//unlagged - client options
-
-//elimination addition
-vmCvar_t	cg_alwaysWeaponBar;
+#endif
 
 typedef struct {
 	vmCvar_t	*vmCvar;
@@ -226,7 +203,7 @@ typedef struct {
 	int			cvarFlags;
 } cvarTable_t;
 
-static cvarTable_t cvarTable[] = { // bk001129
+static cvarTable_t cvarTable[] = {
 	{ &cg_ignore, "cg_ignore", "0", 0 },	// used for debugging
 	{ &cg_autoswitch, "cg_autoswitch", "1", CVAR_ARCHIVE },
 	{ &cg_drawGun, "cg_drawGun", "1", CVAR_ARCHIVE },
@@ -244,7 +221,6 @@ static cvarTable_t cvarTable[] = { // bk
 	{ &cg_drawIcons, "cg_drawIcons", "1", CVAR_ARCHIVE  },
 	{ &cg_drawAmmoWarning, "cg_drawAmmoWarning", "1", CVAR_ARCHIVE  },
 	{ &cg_drawAttacker, "cg_drawAttacker", "1", CVAR_ARCHIVE  },
-	{ &cg_drawSpeed, "cg_drawSpeed", "0", CVAR_ARCHIVE  },
 	{ &cg_drawCrosshair, "cg_drawCrosshair", "4", CVAR_ARCHIVE },
 	{ &cg_drawCrosshairNames, "cg_drawCrosshairNames", "1", CVAR_ARCHIVE },
 	{ &cg_drawRewards, "cg_drawRewards", "1", CVAR_ARCHIVE },
@@ -303,7 +279,6 @@ static cvarTable_t cvarTable[] = { // bk
 	{ &cg_buildScript, "com_buildScript", "0", 0 },	// force loading of all possible data amd error on failures
 	{ &cg_paused, "cl_paused", "0", CVAR_ROM },
 	{ &cg_blood, "com_blood", "1", CVAR_ARCHIVE },
-	{ &cg_alwaysWeaponBar, "cg_alwaysWeaponBar", "0", CVAR_ARCHIVE},	//Elimination
 	{ &cg_synchronousClients, "g_synchronousClients", "0", 0 },	// communicated by systeminfo
 #ifdef MISSIONPACK
 	{ &cg_redTeamName, "g_redteam", DEFAULT_REDTEAM_NAME, CVAR_ARCHIVE | CVAR_SERVERINFO | CVAR_USERINFO },
@@ -319,17 +294,13 @@ static cvarTable_t cvarTable[] = { // bk
 	{ &cg_obeliskRespawnDelay, "g_obeliskRespawnDelay", "10", CVAR_SERVERINFO},
 	{ &cg_hudFiles, "cg_hudFiles", "ui/hud.txt", CVAR_ARCHIVE},
 #endif
-
 	{ &cg_cameraOrbit, "cg_cameraOrbit", "0", CVAR_CHEAT},
 	{ &cg_cameraOrbitDelay, "cg_cameraOrbitDelay", "50", CVAR_ARCHIVE},
 	{ &cg_timescaleFadeEnd, "cg_timescaleFadeEnd", "1", 0},
 	{ &cg_timescaleFadeSpeed, "cg_timescaleFadeSpeed", "0", 0},
 	{ &cg_timescale, "timescale", "1", 0},
 	{ &cg_scorePlum, "cg_scorePlums", "1", CVAR_USERINFO | CVAR_ARCHIVE},
-//unlagged - smooth clients #2
-// this is done server-side now
-//	{ &cg_smoothClients, "cg_smoothClients", "0", CVAR_USERINFO | CVAR_ARCHIVE},
-//unlagged - smooth clients #2
+	{ &cg_smoothClients, "cg_smoothClients", "0", CVAR_USERINFO | CVAR_ARCHIVE},
 	{ &cg_cameraMode, "com_cameraMode", "0", CVAR_CHEAT},
 
 	{ &pmove_fixed, "pmove_fixed", "0", 0},
@@ -341,22 +312,7 @@ static cvarTable_t cvarTable[] = { // bk
 	{ &cg_oldRail, "cg_oldRail", "1", CVAR_ARCHIVE},
 	{ &cg_oldRocket, "cg_oldRocket", "1", CVAR_ARCHIVE},
 	{ &cg_oldPlasma, "cg_oldPlasma", "1", CVAR_ARCHIVE},
-//unlagged - client options
-	{ &cg_delag, "cg_delag", "0", CVAR_ARCHIVE | CVAR_USERINFO },
-//	{ &cg_debugDelag, "cg_debugDelag", "0", CVAR_USERINFO | CVAR_CHEAT },
-//	{ &cg_drawBBox, "cg_drawBBox", "0", CVAR_CHEAT },
-	{ &cg_cmdTimeNudge, "cg_cmdTimeNudge", "0", CVAR_ARCHIVE | CVAR_USERINFO },
-	// this will be automagically copied from the server
-	{ &sv_fps, "sv_fps", "20", 0 },
-	{ &cg_projectileNudge, "cg_projectileNudge", "0", CVAR_ARCHIVE },
-	{ &cg_optimizePrediction, "cg_optimizePrediction", "1", CVAR_ARCHIVE },
-	{ &cl_timeNudge, "cl_timeNudge", "0", CVAR_ARCHIVE },
-//	{ &cg_latentSnaps, "cg_latentSnaps", "0", CVAR_USERINFO | CVAR_CHEAT },
-//	{ &cg_latentCmds, "cg_latentCmds", "0", CVAR_USERINFO | CVAR_CHEAT },
-//	{ &cg_plOut, "cg_plOut", "0", CVAR_USERINFO | CVAR_CHEAT },
-//unlagged - client options
-	{ &cg_trueLightning, "cg_trueLightning", "0.0", CVAR_ARCHIVE},
-        { &cg_music, "cg_music", "", CVAR_ARCHIVE},
+	{ &cg_trueLightning, "cg_trueLightning", "0.0", CVAR_ARCHIVE}
 //	{ &cg_pmove_fixed, "cg_pmove_fixed", "0", CVAR_USERINFO | CVAR_ARCHIVE }
 };
 
@@ -418,33 +374,6 @@ void CG_UpdateCvars( void ) {
 	cvarTable_t	*cv;
 
 	for ( i = 0, cv = cvarTable ; i < cvarTableSize ; i++, cv++ ) {
-//unlagged - client options
-		// clamp the value between 0 and 999
-		// negative values would suck - people could conceivably shoot other
-		// players *long* after they had left the area, on purpose
-		if ( cv->vmCvar == &cg_cmdTimeNudge ) {
-			CG_Cvar_ClampInt( cv->cvarName, cv->vmCvar, 0, 999 );
-		}
-		// cl_timenudge less than -50 or greater than 50 doesn't actually
-		// do anything more than -50 or 50 (actually the numbers are probably
-		// closer to -30 and 30, but 50 is nice and round-ish)
-		// might as well not feed the myth, eh?
-		else if ( cv->vmCvar == &cl_timeNudge ) {
-			CG_Cvar_ClampInt( cv->cvarName, cv->vmCvar, -50, 50 );
-		}
-		// don't let this go too high - no point
-		/*else if ( cv->vmCvar == &cg_latentSnaps ) {
-			CG_Cvar_ClampInt( cv->cvarName, cv->vmCvar, 0, 10 );
-		}*/
-		// don't let this get too large
-		/*else if ( cv->vmCvar == &cg_latentCmds ) {
-			CG_Cvar_ClampInt( cv->cvarName, cv->vmCvar, 0, MAX_LATENT_CMDS - 1 );
-		}*/
-		// no more than 100% packet loss
-		/*else if ( cv->vmCvar == &cg_plOut ) {
-			CG_Cvar_ClampInt( cv->cvarName, cv->vmCvar, 0, 100 );
-		}*/
-//unlagged - client options
 		trap_Cvar_Update( cv->vmCvar );
 	}
 
@@ -625,11 +554,7 @@ static void CG_RegisterSounds( void ) {
 	cgs.media.countPrepareTeamSound = trap_S_RegisterSound( "sound/feedback/prepare_team.wav", qtrue );
 #endif
 
-	// N_G: Another condition that makes no sense to me, see for
-	// yourself if you really meant this
-	// Sago: Makes perfect sense: Load team game stuff if the gametype is a teamgame and not an exception (like GT_LMS)
-	if ( ( ( cgs.gametype >= GT_TEAM ) && ( cgs.ffa_gt != 1 ) ) ||
-		cg_buildScript.integer ) {
+	if ( cgs.gametype >= GT_TEAM || cg_buildScript.integer ) {
 
 		cgs.media.captureAwardSound = trap_S_RegisterSound( "sound/teamplay/flagcapture_yourteam.wav", qtrue );
 		cgs.media.redLeadsSound = trap_S_RegisterSound( "sound/feedback/redleads.wav", qtrue );
@@ -649,7 +574,7 @@ static void CG_RegisterSounds( void ) {
 		cgs.media.takenYourTeamSound = trap_S_RegisterSound( "sound/teamplay/flagtaken_yourteam.wav", qtrue );
 		cgs.media.takenOpponentSound = trap_S_RegisterSound( "sound/teamplay/flagtaken_opponent.wav", qtrue );
 
-		if ( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION|| cg_buildScript.integer ) {
+		if ( cgs.gametype == GT_CTF || cg_buildScript.integer ) {
 			cgs.media.redFlagReturnedSound = trap_S_RegisterSound( "sound/teamplay/voc_red_returned.wav", qtrue );
 			cgs.media.blueFlagReturnedSound = trap_S_RegisterSound( "sound/teamplay/voc_blue_returned.wav", qtrue );
 			cgs.media.enemyTookYourFlagSound = trap_S_RegisterSound( "sound/teamplay/voc_enemy_flag.wav", qtrue );
@@ -664,7 +589,7 @@ static void CG_RegisterSounds( void ) {
 			cgs.media.enemyTookTheFlagSound = trap_S_RegisterSound( "sound/teamplay/voc_enemy_1flag.wav", qtrue );
 		}
 
-		if ( cgs.gametype == GT_1FCTF || cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION ||cg_buildScript.integer ) {
+		if ( cgs.gametype == GT_1FCTF || cgs.gametype == GT_CTF || cg_buildScript.integer ) {
 			cgs.media.youHaveFlagSound = trap_S_RegisterSound( "sound/teamplay/voc_you_flag.wav", qtrue );
 			cgs.media.holyShitSound = trap_S_RegisterSound("sound/feedback/voc_holyshit.wav", qtrue);
 		}
@@ -803,7 +728,7 @@ static void CG_RegisterSounds( void ) {
 	cgs.media.sfx_railg = trap_S_RegisterSound ("sound/weapons/railgun/railgf1a.wav", qfalse);
 	cgs.media.sfx_rockexp = trap_S_RegisterSound ("sound/weapons/rocket/rocklx1a.wav", qfalse);
 	cgs.media.sfx_plasmaexp = trap_S_RegisterSound ("sound/weapons/plasma/plasmx1a.wav", qfalse);
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	cgs.media.sfx_proxexp = trap_S_RegisterSound( "sound/weapons/proxmine/wstbexpl.wav" , qfalse);
 	cgs.media.sfx_nghit = trap_S_RegisterSound( "sound/weapons/nailgun/wnalimpd.wav" , qfalse);
 	cgs.media.sfx_nghitflesh = trap_S_RegisterSound( "sound/weapons/nailgun/wnalimpl.wav" , qfalse);
@@ -823,7 +748,7 @@ static void CG_RegisterSounds( void ) {
 	cgs.media.wstbimpmSound = trap_S_RegisterSound("sound/weapons/proxmine/wstbimpm.wav", qfalse);
 	cgs.media.wstbimpdSound = trap_S_RegisterSound("sound/weapons/proxmine/wstbimpd.wav", qfalse);
 	cgs.media.wstbactvSound = trap_S_RegisterSound("sound/weapons/proxmine/wstbactv.wav", qfalse);
-//#endif
+#endif
 
 	cgs.media.regenSound = trap_S_RegisterSound("sound/items/regen.wav", qfalse);
 	cgs.media.protectSound = trap_S_RegisterSound("sound/items/protect3.wav", qfalse);
@@ -832,31 +757,31 @@ static void CG_RegisterSounds( void ) {
 	cgs.media.hgrenb2aSound = trap_S_RegisterSound("sound/weapons/grenade/hgrenb2a.wav", qfalse);
 
 #ifdef MISSIONPACK
-	trap_S_RegisterSound("sound/player/sergei/death1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/death2.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/death3.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/jump1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/pain25_1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/pain75_1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/pain100_1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/falling1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/gasp.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/drown.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/fall1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/sergei/taunt.wav", qfalse );
-
-	trap_S_RegisterSound("sound/player/kyonshi/death1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/death2.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/death3.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/jump1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/pain25_1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/pain75_1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/pain100_1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/falling1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/gasp.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/drown.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/fall1.wav", qfalse );
-	trap_S_RegisterSound("sound/player/kyonshi/taunt.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/death1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/death2.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/death3.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/jump1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/pain25_1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/pain75_1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/pain100_1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/falling1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/gasp.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/drown.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/fall1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/james/taunt.wav", qfalse );
+
+	trap_S_RegisterSound("sound/player/janet/death1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/death2.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/death3.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/jump1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/pain25_1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/pain75_1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/pain100_1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/falling1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/gasp.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/drown.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/fall1.wav", qfalse );
+	trap_S_RegisterSound("sound/player/janet/taunt.wav", qfalse );
 #endif
 
 }
@@ -922,10 +847,10 @@ static void CG_RegisterGraphics( void ) 
 	cgs.media.smokePuffShader = trap_R_RegisterShader( "smokePuff" );
 	cgs.media.smokePuffRageProShader = trap_R_RegisterShader( "smokePuffRagePro" );
 	cgs.media.shotgunSmokePuffShader = trap_R_RegisterShader( "shotgunSmokePuff" );
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	cgs.media.nailPuffShader = trap_R_RegisterShader( "nailtrail" );
 	cgs.media.blueProxMine = trap_R_RegisterModel( "models/weaphits/proxmineb.md3" );
-//#endif
+#endif
 	cgs.media.plasmaBallShader = trap_R_RegisterShader( "sprites/plasma1" );
 	cgs.media.bloodTrailShader = trap_R_RegisterShader( "bloodTrail" );
 	cgs.media.lagometerShader = trap_R_RegisterShader("lagometer" );
@@ -936,12 +861,9 @@ static void CG_RegisterGraphics( void ) 
 	cgs.media.tracerShader = trap_R_RegisterShader( "gfx/misc/tracer" );
 	cgs.media.selectShader = trap_R_RegisterShader( "gfx/2d/select" );
 
-	for (i = 0; i < NUM_CROSSHAIRS; i++ ) {
-		if (i < 10)
-			cgs.media.crosshairShader[i] = trap_R_RegisterShader( va("gfx/2d/crosshair%c", 'a'+i) );
-		else
-			cgs.media.crosshairShader[i] = trap_R_RegisterShader( va("gfx/2d/crosshair%02d", i - 10) );
- 	}
+	for ( i = 0 ; i < NUM_CROSSHAIRS ; i++ ) {
+		cgs.media.crosshairShader[i] = trap_R_RegisterShader( va("gfx/2d/crosshair%c", 'a'+i) );
+	}
 
 	cgs.media.backTileShader = trap_R_RegisterShader( "gfx/2d/backtile" );
 	cgs.media.noammoShader = trap_R_RegisterShader( "icons/noammo" );
@@ -955,38 +877,24 @@ static void CG_RegisterGraphics( void ) 
 	cgs.media.regenShader = trap_R_RegisterShader("powerups/regen" );
 	cgs.media.hastePuffShader = trap_R_RegisterShader("hasteSmokePuff" );
 
-//#ifdef MISSIONPACK
-	if ( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION|| cgs.gametype == GT_1FCTF || cgs.gametype == GT_HARVESTER || cg_buildScript.integer ) {
-//#else
-//	if ( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION|| cg_buildScript.integer ) {
-//#endif
+#ifdef MISSIONPACK
+	if ( cgs.gametype == GT_CTF || cgs.gametype == GT_1FCTF || cgs.gametype == GT_HARVESTER || cg_buildScript.integer ) {
+#else
+	if ( cgs.gametype == GT_CTF || cg_buildScript.integer ) {
+#endif
 		cgs.media.redCubeModel = trap_R_RegisterModel( "models/powerups/orb/r_orb.md3" );
 		cgs.media.blueCubeModel = trap_R_RegisterModel( "models/powerups/orb/b_orb.md3" );
 		cgs.media.redCubeIcon = trap_R_RegisterShader( "icons/skull_red" );
 		cgs.media.blueCubeIcon = trap_R_RegisterShader( "icons/skull_blue" );
 	}
 
-//For Double Domination:
-	if ( cgs.gametype == GT_DOUBLE_D ) {
-		cgs.media.ddPointSkinA[TEAM_RED] = trap_R_RegisterShaderNoMip( "icons/icona_red" );
-                cgs.media.ddPointSkinA[TEAM_BLUE] = trap_R_RegisterShaderNoMip( "icons/icona_blue" );
-                cgs.media.ddPointSkinA[TEAM_FREE] = trap_R_RegisterShaderNoMip( "icons/icona_white" );
-                cgs.media.ddPointSkinA[TEAM_NONE] = trap_R_RegisterShaderNoMip( "icons/noammo" );
-                
-                cgs.media.ddPointSkinB[TEAM_RED] = trap_R_RegisterShaderNoMip( "icons/iconb_red" );
-                cgs.media.ddPointSkinB[TEAM_BLUE] = trap_R_RegisterShaderNoMip( "icons/iconb_blue" );
-                cgs.media.ddPointSkinB[TEAM_FREE] = trap_R_RegisterShaderNoMip( "icons/iconb_white" );
-                cgs.media.ddPointSkinB[TEAM_NONE] = trap_R_RegisterShaderNoMip( "icons/noammo" );
-	}
-
-//#ifdef MISSIONPACK
-	if ( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype == GT_1FCTF || cgs.gametype == GT_HARVESTER || cg_buildScript.integer ) {
-//#else
-//	if ( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cg_buildScript.integer ) {
-//#endif
+#ifdef MISSIONPACK
+	if ( cgs.gametype == GT_CTF || cgs.gametype == GT_1FCTF || cgs.gametype == GT_HARVESTER || cg_buildScript.integer ) {
+#else
+	if ( cgs.gametype == GT_CTF || cg_buildScript.integer ) {
+#endif
 		cgs.media.redFlagModel = trap_R_RegisterModel( "models/flags/r_flag.md3" );
 		cgs.media.blueFlagModel = trap_R_RegisterModel( "models/flags/b_flag.md3" );
-                cgs.media.neutralFlagModel = trap_R_RegisterModel( "models/flags/n_flag.md3" );
 		cgs.media.redFlagShader[0] = trap_R_RegisterShaderNoMip( "icons/iconf_red1" );
 		cgs.media.redFlagShader[1] = trap_R_RegisterShaderNoMip( "icons/iconf_red2" );
 		cgs.media.redFlagShader[2] = trap_R_RegisterShaderNoMip( "icons/iconf_red3" );
@@ -1007,7 +915,7 @@ static void CG_RegisterGraphics( void ) 
 #endif
 	}
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if ( cgs.gametype == GT_1FCTF || cg_buildScript.integer ) {
 		cgs.media.neutralFlagModel = trap_R_RegisterModel( "models/flags/n_flag.md3" );
 		cgs.media.flagShader[0] = trap_R_RegisterShaderNoMip( "icons/iconf_neutral1" );
@@ -1032,11 +940,9 @@ static void CG_RegisterGraphics( void ) 
 
 	cgs.media.redKamikazeShader = trap_R_RegisterShader( "models/weaphits/kamikred" );
 	cgs.media.dustPuffShader = trap_R_RegisterShader("hasteSmokePuff" );
-//#endif
-
-	if ( ( ( cgs.gametype >= GT_TEAM ) && ( cgs.ffa_gt != 1 ) ) ||
-		cg_buildScript.integer ) {
+#endif
 
+	if ( cgs.gametype >= GT_TEAM || cg_buildScript.integer ) {
 		cgs.media.friendShader = trap_R_RegisterShader( "sprites/foe" );
 		cgs.media.redQuadShader = trap_R_RegisterShader("powerups/blueflag" );
 		cgs.media.teamStatusBar = trap_R_RegisterShader( "gfx/2d/colorbar.tga" );
@@ -1167,13 +1073,13 @@ static void CG_RegisterGraphics( void ) 
 	cgs.media.flagShaders[1] = trap_R_RegisterShaderNoMip("ui/assets/statusbar/flag_capture.tga");
 	cgs.media.flagShaders[2] = trap_R_RegisterShaderNoMip("ui/assets/statusbar/flag_missing.tga");
 
-	trap_R_RegisterModel( "models/players/sergei/lower.md3" );
-	trap_R_RegisterModel( "models/players/sergei/upper.md3" );
-	trap_R_RegisterModel( "models/players/sergei/head.md3" );
-
-	trap_R_RegisterModel( "models/players/kyonshi/lower.md3" );
-	trap_R_RegisterModel( "models/players/kyonshi/upper.md3" );
-	trap_R_RegisterModel( "models/players/kyonshi/head.md3" );
+	trap_R_RegisterModel( "models/players/james/lower.md3" );
+	trap_R_RegisterModel( "models/players/james/upper.md3" );
+	trap_R_RegisterModel( "models/players/heads/james/james.md3" );
+
+	trap_R_RegisterModel( "models/players/janet/lower.md3" );
+	trap_R_RegisterModel( "models/players/janet/upper.md3" );
+	trap_R_RegisterModel( "models/players/heads/janet/janet.md3" );
 
 #endif
 	CG_ClearParticles ();
@@ -1270,15 +1176,11 @@ void CG_StartMusic( void ) {
 	char	parm1[MAX_QPATH], parm2[MAX_QPATH];
 
 	// start the background music
-	if ( *cg_music.string && Q_stricmp( cg_music.string, "none" ) ) {
-		s = (char *)cg_music.string;
-	} else {
-		s = (char *)CG_ConfigString( CS_MUSIC );
+	s = (char *)CG_ConfigString( CS_MUSIC );
 	Q_strncpyz( parm1, COM_Parse( &s ), sizeof( parm1 ) );
 	Q_strncpyz( parm2, COM_Parse( &s ), sizeof( parm2 ) );
 
 	trap_S_StartBackgroundTrack( parm1, parm2 );
-        }
 }
 #ifdef MISSIONPACK
 char *CG_GetMenuBuffer(const char *filename) {
@@ -1453,7 +1355,7 @@ qboolean CG_Asset_Parse(int handle) {
 			continue;
 		}
 	}
-	return qfalse; // bk001204 - why not?
+	return qfalse;
 }
 
 void CG_ParseMenu(const char *menuFile) {
@@ -1647,7 +1549,7 @@ void CG_SetScoreSelection(void *p) {
 		return;
 	}
 
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		int feeder = FEEDER_REDTEAM_LIST;
 		i = red;
 		if (cg.scores[cg.selectedScore].team == TEAM_BLUE) {
@@ -1663,7 +1565,7 @@ void CG_SetScoreSelection(void *p) {
 // FIXME: might need to cache this info
 static clientInfo_t * CG_InfoFromScoreIndex(int index, int team, int *scoreIndex) {
 	int i, count;
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		count = 0;
 		for (i = 0; i < cg.numScores; i++) {
 			if (cg.scores[i].team == team) {
@@ -1768,7 +1670,7 @@ static qhandle_t CG_FeederItemImage(floa
 }
 
 static void CG_FeederSelection(float feederID, int index) {
-	if ( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+	if ( cgs.gametype >= GT_TEAM ) {
 		int i, count;
 		int team = (feederID == FEEDER_REDTEAM_LIST) ? TEAM_RED : TEAM_BLUE;
 		count = 0;
@@ -1786,7 +1688,7 @@ static void CG_FeederSelection(float fee
 }
 #endif
 
-#ifdef MISSIONPACK // bk001204 - only needed there
+#ifdef MISSIONPACK
 static float CG_Cvar_Get(const char *cvar) {
 	char buff[128];
 	memset(buff, 0, sizeof(buff));
@@ -2084,28 +1986,3 @@ void CG_MouseEvent(int x, int y) {
 }
 #endif
 
-//unlagged - attack prediction #3
-// moved from g_weapon.c
-/*
-======================
-SnapVectorTowards
-
-Round a vector to integers for more efficient network
-transmission, but make sure that it rounds towards a given point
-rather than blindly truncating.  This prevents it from truncating 
-into a wall.
-======================
-*/
-void SnapVectorTowards( vec3_t v, vec3_t to ) {
-	int		i;
-
-	for ( i = 0 ; i < 3 ; i++ ) {
-		if ( to[i] <= v[i] ) {
-			v[i] = (int)v[i];
-		} else {
-			v[i] = (int)v[i] + 1;
-		}
-	}
-}
-//unlagged - attack prediction #3
-
Only in ioquake3svn1438/code/cgame: cg_main.c.orig
Only in ioquake3svn1438/code/cgame: cg_main.orig.c
diff -upr ioquake3svn1438/code/cgame/cg_newdraw.c ioquake3serverFix/code/cgame/cg_newdraw.c
--- ioquake3svn1438/code/cgame/cg_newdraw.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_newdraw.c	2008-08-09 11:28:23.000000000 -0500
@@ -20,7 +20,7 @@ Foundation, Inc., 51 Franklin St, Fifth 
 ===========================================================================
 */
 
-#ifndef MISSIONPACK // bk001204
+#ifndef MISSIONPACK
 #error This file not be used for classic Q3A.
 #endif
 
@@ -56,7 +56,7 @@ void CG_SetPrintString(int type, const c
 }
 
 void CG_CheckOrderPending(void) {
-	if (cgs.gametype < GT_CTF || cgs.ffa_gt>0) {
+	if (cgs.gametype < GT_CTF) {
 		return;
 	}
 	if (cgs.orderPending) {
@@ -172,7 +172,7 @@ static void CG_DrawPlayerArmorIcon( rect
 	cent = &cg_entities[cg.snap->ps.clientNum];
 	ps = &cg.snap->ps;
 
-	if ( draw2D || ( !cg_draw3dIcons.integer && cg_drawIcons.integer) ) { // bk001206 - parentheses
+	if ( draw2D || ( !cg_draw3dIcons.integer && cg_drawIcons.integer) ) {
 		CG_DrawPic( rect->x, rect->y + rect->h/2 + 1, rect->w, rect->h, cgs.media.armorIcon );
   } else if (cg_draw3dIcons.integer) {
 	  VectorClear( angles );
@@ -209,10 +209,9 @@ static void CG_DrawPlayerArmorValue(rect
 	}
 }
 
-#ifndef MISSIONPACK // bk001206 
+#ifndef MISSIONPACK
 static float healthColors[4][4] = { 
 //		{ 0.2, 1.0, 0.2, 1.0 } , { 1.0, 0.2, 0.2, 1.0 }, {0.5, 0.5, 0.5, 1} };
-  // bk0101016 - float const
   { 1.0f, 0.69f, 0.0f, 1.0f } ,		// normal
   { 1.0f, 0.2f, 0.2f, 1.0f },		// low health
   { 0.5f, 0.5f, 0.5f, 1.0f},		// weapon firing
@@ -228,7 +227,7 @@ static void CG_DrawPlayerAmmoIcon( rectD
 	cent = &cg_entities[cg.snap->ps.clientNum];
 	ps = &cg.snap->ps;
 
-	if ( draw2D || (!cg_draw3dIcons.integer && cg_drawIcons.integer) ) { // bk001206 - parentheses
+	if ( draw2D || (!cg_draw3dIcons.integer && cg_drawIcons.integer) ) {
 	  qhandle_t	icon;
     icon = cg_weapons[ cg.predictedPlayerState.weapon ].ammoIcon;
 		if ( icon ) {
@@ -651,7 +650,7 @@ static void CG_DrawBlueFlagName(rectDef_
 }
 
 static void CG_DrawBlueFlagStatus(rectDef_t *rect, qhandle_t shader) {
-	if (cgs.gametype != GT_CTF && cgs.gametype != GT_CTF_ELIMINATION && cgs.gametype != GT_1FCTF) {
+	if (cgs.gametype != GT_CTF && cgs.gametype != GT_1FCTF) {
 		if (cgs.gametype == GT_HARVESTER) {
 		  vec4_t color = {0, 0, 1, 1};
 		  trap_R_SetColor(color);
@@ -701,7 +700,7 @@ static void CG_DrawRedFlagName(rectDef_t
 }
 
 static void CG_DrawRedFlagStatus(rectDef_t *rect, qhandle_t shader) {
-	if (cgs.gametype != GT_CTF && cgs.gametype != GT_CTF_ELIMINATION && cgs.gametype != GT_1FCTF) {
+	if (cgs.gametype != GT_CTF && cgs.gametype != GT_1FCTF) {
 		if (cgs.gametype == GT_HARVESTER) {
 		  vec4_t color = {1, 0, 0, 1};
 		  trap_R_SetColor(color);
@@ -811,7 +810,7 @@ static void CG_OneFlagStatus(rectDef_t *
 static void CG_DrawCTFPowerUp(rectDef_t *rect) {
 	int		value;
 
-	if (cgs.gametype < GT_CTF || cgs.ffa_gt>0) {
+	if (cgs.gametype < GT_CTF) {
 		return;
 	}
 	value = cg.snap->ps.stats[STAT_PERSISTANT_POWERUP];
@@ -953,7 +952,7 @@ float CG_GetValue(int ownerDraw) {
 }
 
 qboolean CG_OtherTeamHasFlag(void) {
-	if (cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype == GT_1FCTF) {
+	if (cgs.gametype == GT_CTF || cgs.gametype == GT_1FCTF) {
 		int team = cg.snap->ps.persistant[PERS_TEAM];
 		if (cgs.gametype == GT_1FCTF) {
 			if (team == TEAM_RED && cgs.flagStatus == FLAG_TAKEN_BLUE) {
@@ -977,7 +976,7 @@ qboolean CG_OtherTeamHasFlag(void) {
 }
 
 qboolean CG_YourTeamHasFlag(void) {
-	if (cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION || cgs.gametype == GT_1FCTF) {
+	if (cgs.gametype == GT_CTF || cgs.gametype == GT_1FCTF) {
 		int team = cg.snap->ps.persistant[PERS_TEAM];
 		if (cgs.gametype == GT_1FCTF) {
 			if (team == TEAM_RED && cgs.flagStatus == FLAG_TAKEN_RED) {
@@ -1030,13 +1029,13 @@ qboolean CG_OwnerDrawVisible(int flags) 
 	}
 
 	if (flags & CG_SHOW_ANYTEAMGAME) {
-		if( cgs.gametype >= GT_TEAM && cgs.ffa_gt!=1) {
+		if( cgs.gametype >= GT_TEAM) {
 			return qtrue;
 		}
 	}
 
 	if (flags & CG_SHOW_ANYNONTEAMGAME) {
-		if( cgs.gametype < GT_TEAM || cgs.ffa_gt==1) {
+		if( cgs.gametype < GT_TEAM) {
 			return qtrue;
 		}
 	}
@@ -1058,7 +1057,7 @@ qboolean CG_OwnerDrawVisible(int flags) 
 	}
 
 	if (flags & CG_SHOW_CTF) {
-		if( cgs.gametype == GT_CTF || cgs.gametype == GT_CTF_ELIMINATION) {
+		if( cgs.gametype == GT_CTF ) {
 			return qtrue;
 		}
 	}
@@ -1151,7 +1150,7 @@ static void CG_DrawKiller(rectDef_t *rec
 
 
 static void CG_DrawCapFragLimit(rectDef_t *rect, float scale, vec4_t color, qhandle_t shader, int textStyle) {
-	int limit = (cgs.gametype >= GT_CTF && cgs.ffa_gt==0) ? cgs.capturelimit : cgs.fraglimit;
+	int limit = (cgs.gametype >= GT_CTF) ? cgs.capturelimit : cgs.fraglimit;
 	CG_Text_Paint(rect->x, rect->y, scale, color, va("%2i", limit),0, 0, textStyle); 
 }
 
@@ -1169,7 +1168,7 @@ static void CG_Draw2ndPlace(rectDef_t *r
 
 const char *CG_GetGameStatusText(void) {
 	const char *s = "";
-	if ( cgs.gametype < GT_TEAM || cgs.ffa_gt==1) {
+	if ( cgs.gametype < GT_TEAM) {
 		if (cg.snap->ps.persistant[PERS_TEAM] != TEAM_SPECTATOR ) {
 			s = va("%s place with %i",CG_PlaceString( cg.snap->ps.persistant[PERS_RANK] + 1 ),cg.snap->ps.persistant[PERS_SCORE] );
 		}
@@ -1202,14 +1201,6 @@ const char *CG_GameTypeString(void) {
 		return "Overload";
 	} else if ( cgs.gametype == GT_HARVESTER ) {
 		return "Harvester";
-	} else if ( cgs.gametype == GT_ELIMINATION ) {
-		return "Elimination";
-	} else if ( cgs.gametype == GT_CTF_ELIMINATION ) {
-		return "CTF Elimination";
-	} else if ( cgs.gametype == GT_LMS ) {
-		return "Last Man Standing";
-	} else if ( cgs.gametype == GT_DOUBLE_D ) {
-		return "Double Domination";
 	}
 	return "";
 }
@@ -1222,8 +1213,6 @@ static void CG_Text_Paint_Limit(float *m
 	vec4_t newColor;
 	glyphInfo_t *glyph;
   if (text) {
-// TTimo: FIXME
-//    const unsigned char *s = text; // bk001206 - unsigned
     const char *s = text;
 		float max = *maxX;
 		float useScale;
